.TH PROMETHEUS-NGINX-VTS-EXPORTER "1" "June 2018" "prometheus-nginx-vts-exporter" "User Commands"
.SH NAME
prometheus-nginx-vts-exporter \- Prometheus metrics exporter for the Nginx VTS module
.SH SYNOPSIS
.B prometheus-nginx-vts-exporter
[\fI\,OPTIONS\/\fR]...
.SH DESCRIPTION
Simple server that scrapes Nginx VTS module in its JSON endpoint and exports its
statistics as metrics consumable by Prometheus.
.SH OPTIONS
.HP
\fB\-insecure\fR
.IP
Ignore server certificate if using https (default true).
.HP
\fB\-metrics.namespace\fR string
.IP
Prometheus metrics namespace. (default "nginx")
.HP
\fB\-nginx.scrape\_timeout\fR int
.IP
The number of seconds to wait for an HTTP response from the nginx.scrape_uri (default 2)
.HP
\fB\-nginx.scrape\_uri\fR string
.IP
URI to nginx stub status page (default "http://localhost/status")
.HP
\fB\-telemetry.address\fR string
.IP
Address on which to expose metrics. (default ":9913")
.HP
\fB\-telemetry.endpoint\fR string
.IP
Path under which to expose metrics. (default "/metrics")
.HP
\fB\-version\fR
.IP
Print version information.
.SH ENVIRONMENT
.IP NGINX_STATUS
Nginx JSON format status page. Default: http://localhost/status/format/json
.IP METRICS_ENDPOINT
Metrics endpoint exportation URI. Default: /metrics
.IP METRICS_ADDR
Metrics exportation address:port. Default: :9913
.IP METRICS_NS
Prometheus metrics Namespaces. Default: nginx
